Get teammates
curl --request GET \
--url https://sandbox.hurdlr.com/rest/v5/accountant/teammates \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v5/accountant/teammates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v5/accountant/teammates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"users": [
{
"id": 123,
"userId": "<string>",
"status": "ACTIVE",
"accessLevel": "READ_WRITE"
}
],
"id": 123,
"userId": "<string>",
"email": "jane@mycompany.com",
"firstName": "Jane",
"lastName": "Doe",
"status": "ACTIVE",
"canReopenBooks": true,
"canManageAdmins": true,
"canManageUsers": true,
"canAccessAllUsers": true,
"password": "password123"
}
],
"lastUpdatedDate": "2023-11-07T05:31:56Z",
"cursor": "<string>",
"deletedIds": [
123
]
}Accountant
Get teammates
Get all teammates of the authenticated accountant
GET
/
v5
/
accountant
/
teammates
Get teammates
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Date filter - returns all records modified after the specified date
Cursor from the previous paginated response
Page size, i.e. number of items to return per page
Response
200 - application/json
successful operation
The list of entities
Show child attributes
Show child attributes
Date filter - to be used in your subsequent request
Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.
Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate